
clear
set more off
use invest_panel.dta

** Modell 2
xtpcse gfcf_minus_dwellings GDP_Growth_real Indu_exclCons emp_pop SavRate realLong_core GDPpercap ATM1000sq banks1000adu 
predict fitted_value_mod2, xb

** Modell 3
xtpcse gfcf_minus_dwellings GDP_Growth_real emp_pop SavRate AgeDep2030 Indu_exclCons realLong_core ATM1000sq banks1000adu
predict fitted_value_mod3, xb

** Modell 1
drop if credittopriv_BIS == . // no data for Japan and Poland
xtpcse gfcf_minus_dwellings GDP_Growth_real Indu_exclCons emp_pop SavRate realLong_core GDPpercap credittopriv_BIS 
predict fitted_value_mod1, xb

// Abbildung 6
tostring year, generate(year_str)
drop if year==2013
generate fitted_value_avg = (fitted_value_mod1+fitted_value_mod2+fitted_value_mod3)/3
egen mean_fitted_value_avg = mean(fitted_value_avg), by(country)
egen mean_gfcf_minus_dwellings = mean(gfcf_minus_dwellings), by(country)
sort mean_gfcf_minus_dwellings 
export excel country mean_gfcf_minus_dwellings mean_fitted_value_avg using "Abbildung6.xlsx" if year==2005, sheet("data",replace) firstrow(variables)

// Abbildung 7
sort country year
export excel year_str gfcf_minus_dwellings fitted_value_mod1 fitted_value_mod2 fitted_value_mod3 using "Abbildung7.xlsx" if country=="Germany", sheet("data", replace) firstrow(variables)

